package com.ruoyi.system.domain.visit.dr;

import com.ruoyi.system.domain.visit.dr.ext.TabPaneParams;

import java.io.Serializable;
import java.util.List;

public class VisitDrCheckHistory implements Serializable {
    private String id;

    private String ruleId;

    private String taskId;

    private String title;

    private String companyId;

    private String companyName;

    private String zhCreditLevel;

    private String chooseType;

    private String chooseForm;

    private String chooseTime;

    private String result;

    private String taskUserIds;

    private String taskUsers;

    /**
     * 检查对象
     */
    private String checkedObject;

    private String telephone;

    private String address;

    private String checkTime;

    private String checkUsers;

    private String createBy;

    private String createTime;

    private String extfieldOne;

    private String extfieldTwo;

    private String extfieldThree;

    private String extfieldFour;

    private String extfieldFive;

    private String extfieldSix;

    private String extfieldSeven;

    private String extfieldEight;

    private String extfieldTen;

    private String templateId;

    private String formName;

    private List<VisitDrTaskUser> userList;

    public List<VisitDrTaskUser> getUserList() {
        return userList;
    }

    public void setUserList(List<VisitDrTaskUser> userList) {
        this.userList = userList;
    }

    private String chooseTypeValue;

    public String getChooseTypeValue() {
        return chooseTypeValue;
    }

    public void setChooseTypeValue(String chooseTypeValue) {
        this.chooseTypeValue = chooseTypeValue;
    }

    //检查结果附件
    private List<VisitDrCheckHistoryAttach> checkHistoryAttachList;

    public List<VisitDrCheckHistoryAttach> getCheckHistoryAttachList() {
        return checkHistoryAttachList;
    }

    public void setCheckHistoryAttachList(List<VisitDrCheckHistoryAttach> checkHistoryAttachList) {
        this.checkHistoryAttachList = checkHistoryAttachList;
    }


    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getRuleId() {
        return ruleId;
    }

    public void setRuleId(String ruleId) {
        this.ruleId = ruleId;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getZhCreditLevel() {
        return zhCreditLevel;
    }

    public void setZhCreditLevel(String zhCreditLevel) {
        this.zhCreditLevel = zhCreditLevel;
    }

    public String getChooseType() {
        return chooseType;
    }

    public void setChooseType(String chooseType) {
        this.chooseType = chooseType;
    }

    public String getChooseForm() {
        return chooseForm;
    }

    public void setChooseForm(String chooseForm) {
        this.chooseForm = chooseForm;
    }

    public String getChooseTime() {
        return chooseTime;
    }

    public void setChooseTime(String chooseTime) {
        this.chooseTime = chooseTime;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public String getTaskUserIds() {
        return taskUserIds;
    }

    public void setTaskUserIds(String taskUserIds) {
        this.taskUserIds = taskUserIds;
    }

    public String getTaskUsers() {
        return taskUsers;
    }

    public void setTaskUsers(String taskUsers) {
        this.taskUsers = taskUsers;
    }

    public String getCheckedObject() {
        return checkedObject;
    }

    public void setCheckedObject(String checkedObject) {
        this.checkedObject = checkedObject;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getCheckTime() {
        return checkTime;
    }

    public void setCheckTime(String checkTime) {
        this.checkTime = checkTime;
    }

    public String getCheckUsers() {
        return checkUsers;
    }

    public void setCheckUsers(String checkUsers) {
        this.checkUsers = checkUsers;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getExtfieldOne() {
        return extfieldOne;
    }

    public void setExtfieldOne(String extfieldOne) {
        this.extfieldOne = extfieldOne;
    }

    public String getExtfieldTwo() {
        return extfieldTwo;
    }

    public void setExtfieldTwo(String extfieldTwo) {
        this.extfieldTwo = extfieldTwo;
    }

    public String getExtfieldThree() {
        return extfieldThree;
    }

    public void setExtfieldThree(String extfieldThree) {
        this.extfieldThree = extfieldThree;
    }

    public String getExtfieldFour() {
        return extfieldFour;
    }

    public void setExtfieldFour(String extfieldFour) {
        this.extfieldFour = extfieldFour;
    }

    public String getExtfieldFive() {
        return extfieldFive;
    }

    public void setExtfieldFive(String extfieldFive) {
        this.extfieldFive = extfieldFive;
    }

    public String getExtfieldSix() {
        return extfieldSix;
    }

    public void setExtfieldSix(String extfieldSix) {
        this.extfieldSix = extfieldSix;
    }

    public String getExtfieldSeven() {
        return extfieldSeven;
    }

    public void setExtfieldSeven(String extfieldSeven) {
        this.extfieldSeven = extfieldSeven;
    }

    public String getExtfieldEight() {
        return extfieldEight;
    }

    public void setExtfieldEight(String extfieldEight) {
        this.extfieldEight = extfieldEight;
    }

    public String getExtfieldTen() {
        return extfieldTen;
    }

    public void setExtfieldTen(String extfieldTen) {
        this.extfieldTen = extfieldTen;
    }

    public String getTemplateId() {
        return templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    public String getFormName() {
        return formName;
    }

    public void setFormName(String formName) {
        this.formName = formName;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", ruleId=").append(ruleId);
        sb.append(", taskId=").append(taskId);
        sb.append(", title=").append(title);
        sb.append(", companyId=").append(companyId);
        sb.append(", companyName=").append(companyName);
        sb.append(", zhCreditLevel=").append(zhCreditLevel);
        sb.append(", chooseType=").append(chooseType);
        sb.append(", chooseForm=").append(chooseForm);
        sb.append(", chooseTime=").append(chooseTime);
        sb.append(", result=").append(result);
        sb.append(", taskUserIds=").append(taskUserIds);
        sb.append(", taskUsers=").append(taskUsers);
        sb.append(", checkedObject=").append(checkedObject);
        sb.append(", telephone=").append(telephone);
        sb.append(", address=").append(address);
        sb.append(", checkTime=").append(checkTime);
        sb.append(", checkUsers=").append(checkUsers);
        sb.append(", createBy=").append(createBy);
        sb.append(", createTime=").append(createTime);
        sb.append(", extfieldOne=").append(extfieldOne);
        sb.append(", extfieldTwo=").append(extfieldTwo);
        sb.append(", extfieldThree=").append(extfieldThree);
        sb.append(", extfieldFour=").append(extfieldFour);
        sb.append(", extfieldFive=").append(extfieldFive);
        sb.append(", extfieldSix=").append(extfieldSix);
        sb.append(", extfieldSeven=").append(extfieldSeven);
        sb.append(", extfieldEight=").append(extfieldEight);
        sb.append(", extfieldTen=").append(extfieldTen);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        VisitDrCheckHistory other = (VisitDrCheckHistory) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
                && (this.getRuleId() == null ? other.getRuleId() == null : this.getRuleId().equals(other.getRuleId()))
                && (this.getTaskId() == null ? other.getTaskId() == null : this.getTaskId().equals(other.getTaskId()))
                && (this.getTitle() == null ? other.getTitle() == null : this.getTitle().equals(other.getTitle()))
                && (this.getCompanyId() == null ? other.getCompanyId() == null : this.getCompanyId().equals(other.getCompanyId()))
                && (this.getCompanyName() == null ? other.getCompanyName() == null : this.getCompanyName().equals(other.getCompanyName()))
                && (this.getZhCreditLevel() == null ? other.getZhCreditLevel() == null : this.getZhCreditLevel().equals(other.getZhCreditLevel()))
                && (this.getChooseType() == null ? other.getChooseType() == null : this.getChooseType().equals(other.getChooseType()))
                && (this.getChooseForm() == null ? other.getChooseForm() == null : this.getChooseForm().equals(other.getChooseForm()))
                && (this.getChooseTime() == null ? other.getChooseTime() == null : this.getChooseTime().equals(other.getChooseTime()))
                && (this.getResult() == null ? other.getResult() == null : this.getResult().equals(other.getResult()))
                && (this.getTaskUserIds() == null ? other.getTaskUserIds() == null : this.getTaskUserIds().equals(other.getTaskUserIds()))
                && (this.getTaskUsers() == null ? other.getTaskUsers() == null : this.getTaskUsers().equals(other.getTaskUsers()))
                && (this.getCheckedObject() == null ? other.getCheckedObject() == null : this.getCheckedObject().equals(other.getCheckedObject()))
                && (this.getTelephone() == null ? other.getTelephone() == null : this.getTelephone().equals(other.getTelephone()))
                && (this.getAddress() == null ? other.getAddress() == null : this.getAddress().equals(other.getAddress()))
                && (this.getCheckTime() == null ? other.getCheckTime() == null : this.getCheckTime().equals(other.getCheckTime()))
                && (this.getCheckUsers() == null ? other.getCheckUsers() == null : this.getCheckUsers().equals(other.getCheckUsers()))
                && (this.getCreateBy() == null ? other.getCreateBy() == null : this.getCreateBy().equals(other.getCreateBy()))
                && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
                && (this.getExtfieldOne() == null ? other.getExtfieldOne() == null : this.getExtfieldOne().equals(other.getExtfieldOne()))
                && (this.getExtfieldTwo() == null ? other.getExtfieldTwo() == null : this.getExtfieldTwo().equals(other.getExtfieldTwo()))
                && (this.getExtfieldThree() == null ? other.getExtfieldThree() == null : this.getExtfieldThree().equals(other.getExtfieldThree()))
                && (this.getExtfieldFour() == null ? other.getExtfieldFour() == null : this.getExtfieldFour().equals(other.getExtfieldFour()))
                && (this.getExtfieldFive() == null ? other.getExtfieldFive() == null : this.getExtfieldFive().equals(other.getExtfieldFive()))
                && (this.getExtfieldSix() == null ? other.getExtfieldSix() == null : this.getExtfieldSix().equals(other.getExtfieldSix()))
                && (this.getExtfieldSeven() == null ? other.getExtfieldSeven() == null : this.getExtfieldSeven().equals(other.getExtfieldSeven()))
                && (this.getExtfieldEight() == null ? other.getExtfieldEight() == null : this.getExtfieldEight().equals(other.getExtfieldEight()))
                && (this.getExtfieldTen() == null ? other.getExtfieldTen() == null : this.getExtfieldTen().equals(other.getExtfieldTen()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getRuleId() == null) ? 0 : getRuleId().hashCode());
        result = prime * result + ((getTaskId() == null) ? 0 : getTaskId().hashCode());
        result = prime * result + ((getTitle() == null) ? 0 : getTitle().hashCode());
        result = prime * result + ((getCompanyId() == null) ? 0 : getCompanyId().hashCode());
        result = prime * result + ((getCompanyName() == null) ? 0 : getCompanyName().hashCode());
        result = prime * result + ((getZhCreditLevel() == null) ? 0 : getZhCreditLevel().hashCode());
        result = prime * result + ((getChooseType() == null) ? 0 : getChooseType().hashCode());
        result = prime * result + ((getChooseForm() == null) ? 0 : getChooseForm().hashCode());
        result = prime * result + ((getChooseTime() == null) ? 0 : getChooseTime().hashCode());
        result = prime * result + ((getResult() == null) ? 0 : getResult().hashCode());
        result = prime * result + ((getTaskUserIds() == null) ? 0 : getTaskUserIds().hashCode());
        result = prime * result + ((getTaskUsers() == null) ? 0 : getTaskUsers().hashCode());
        result = prime * result + ((getCheckedObject() == null) ? 0 : getCheckedObject().hashCode());
        result = prime * result + ((getTelephone() == null) ? 0 : getTelephone().hashCode());
        result = prime * result + ((getAddress() == null) ? 0 : getAddress().hashCode());
        result = prime * result + ((getCheckTime() == null) ? 0 : getCheckTime().hashCode());
        result = prime * result + ((getCheckUsers() == null) ? 0 : getCheckUsers().hashCode());
        result = prime * result + ((getCreateBy() == null) ? 0 : getCreateBy().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getExtfieldOne() == null) ? 0 : getExtfieldOne().hashCode());
        result = prime * result + ((getExtfieldTwo() == null) ? 0 : getExtfieldTwo().hashCode());
        result = prime * result + ((getExtfieldThree() == null) ? 0 : getExtfieldThree().hashCode());
        result = prime * result + ((getExtfieldFour() == null) ? 0 : getExtfieldFour().hashCode());
        result = prime * result + ((getExtfieldFive() == null) ? 0 : getExtfieldFive().hashCode());
        result = prime * result + ((getExtfieldSix() == null) ? 0 : getExtfieldSix().hashCode());
        result = prime * result + ((getExtfieldSeven() == null) ? 0 : getExtfieldSeven().hashCode());
        result = prime * result + ((getExtfieldEight() == null) ? 0 : getExtfieldEight().hashCode());
        result = prime * result + ((getExtfieldTen() == null) ? 0 : getExtfieldTen().hashCode());
        return result;
    }
}